<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/mood.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Mood;

class MoodPanel extends MoodServer {
    private static $instance = NULL;
    private $mood = 0;

    public function __construct() {
        parent::__construct();
        $this->mood = iMEMBER ? fusion_get_userdata('user_mood') : 0;
    }

    public static function getInstance() {
        if (self::$instance === NULL) {
            self::$instance = new static();
        }
       return self::$instance;
    }

    public function StartMood() {
        if(iMEMBER && check_post('mood')) {
            $moodvalue = sanitizer('mood', 0, 'mood');
            if (fusion_safe()) {
                dbquery("UPDATE ".DB_USERS." SET user_mood = :mood WHERE user_id = :userid", [':mood' => (int)$moodvalue, ':userid' => fusion_get_userdata('user_id')]);
                addNotice("success", self::$locale['MOOD_015']);
                redirect(FUSION_SELF);
            }
        }

        $info = [
	        'moonform'  => iMEMBER ? self::MoodForm() : '',
	        'alluser'   => self::alluser(),
	        'userdb'    => self::userdb()
        ];
        DisplayMood($info);
	}

    private function MoodForm(){
    	$info = [
    	    'openform'  => openform('moodform', 'post', FUSION_SELF, ['max_tokens' => 1]),
    	    'closeform' => closeform(),
    	    'select'    => form_select('mood', self::$locale['MOOD_011'], $this->mood, [
    	        'inner_width' => '100%',
    	        'options'     => self::$locale['MOOD_ARR'],
    	        'onchange'    => 'document.moodform.submit()'
    	    ] )
    	];
        return $info;
    }

}
