<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/stat.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Mood;

class MoodStat extends MoodServer {
    private static $instance = NULL;
    public $info = [];

    public function __construct() {
        parent::__construct();
        add_to_title(self::$locale['MOOD_021']);
    }

    public static function getInstance() {
        if (self::$instance === NULL) {
            self::$instance = new static();
        }
        return self::$instance;
    }

	public function moodStat() {
        $limit = 15;
        $info = [];

        $max_rows = dbcount("(user_id)", DB_USERS, (multilang_table("MOOD") ? in_group('user_language', LANGUAGE) : ''));
        $rowstart = get_rowstart("rowstart", $max_rows);

        $result = dbquery("SELECT *
            FROM ".DB_USERS."
            ORDER BY user_id DESC
            LIMIT ".$rowstart.", ".$limit."
        ");

        if (dbrows($result)) {
            while ($data = dbarray($result)) {
                $info[] = $data;
            }
        }

        $info = [
            'statall' => $info,
            'pagenav' => makepagenav($rowstart, $limit, $max_rows, 3, MOOD_PATH."stat.php?")
        ];
        DisplayStat($info);
	}
}
