<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$locale = fusion_get_locale("", MOOD_LOCALE);

$inf_title = $locale['MOOD_000'];
$inf_description = $locale['MOOD_001'];
$inf_version = "1.1";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "mood_panel";
$inf_image = "mood.svg";

//multilang data
$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "MOOD"
];

if (!column_exists(DB_USERS, 'user_mood', FALSE)) {
    $inf_altertable[] = DB_USERS." ADD user_mood TINYINT(1) UNSIGNED NOT NULL AFTER user_actiontime";
    $last_category = dbresult(dbquery("SELECT MAX(field_cat_id) FROM ".DB_USER_FIELD_CATS), 0);
    $inf_insertdbrow[] = DB_USER_FIELDS." (field_title, field_name, field_cat, field_type, field_order) VALUES ('".$locale['MOOD_000']."', 'user_mood', ".$last_category.", 'file', 2)";
}

$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('".$locale['MOOD_ST0']."', '".$inf_folder."', '', '4', '3', 'file', '0', '0', '1', '', '3', '".fusion_get_settings('enabled_languages')."')";

$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");

if (!empty($enabled_languages)) {
    foreach($enabled_languages as $language) {
        if (file_exists(INFUSIONS.$inf_folder.'/locale/'.$language.'/mood.php')) {
            include INFUSIONS.$inf_folder.'/locale/'.$language.'/mood.php';
        } else {
            include INFUSIONS.$inf_folder.'/locale/English/mood.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "MOOD",
            'image'    => $inf_image,
            'title'    => $locale['MOOD_002'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'MOOD' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "MOOD",
        'image'    => $inf_image,
        'title'    => $locale['MOOD_002'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
}

$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'MOOD'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'MOOD'";

if (column_exists('users', 'user_mood')) {
    $inf_dropcol[] = ['table' => DB_USERS, 'column' => 'user_mood'];
    $inf_deldbrow[] = DB_USER_FIELDS." WHERE field_name = 'user_mood'";
}
