<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: templates/mood.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if (!function_exists('DisplayMood')) {
    function DisplayMood($info) {
        $locale = fusion_get_locale("", MOOD_LOCALE);
        openside($locale['MOOD_010']);
        if (!empty($info['moonform'])) {
            if (!empty($info['moonform']['openform'])) {
                echo $info['moonform']['openform'];
            }
            echo "<div class='clearfix text-center'>".$info['moonform']['select']."</div>";
            if (!empty($info['moonform']['closeform'])) {
                echo $info['moonform']['closeform'];
            }
        }
        $star = ($info['userdb'] > 0 ? "[ ".ceil($info['alluser'] / $info['userdb'])." ] ".str_repeat("<img src='".MOOD_PATH."images/star.gif' alt='*' style='vertical-align:middle' />", ceil($info['alluser'] / $info['userdb'])) : $locale['MOOD_013']);
        echo "<div class='text-center'>".$locale['MOOD_012']."</div>";
        echo "<div class='text-center m-t-20'>".$star."</div>";
        if (!empty($info['alluser'])) {
            echo "<div class='text-center m-t-20'>".sprintf($locale['MOOD_014'], $info['userdb'])."</div>";
        }
        echo "<div class='text-center m-t-20'>".$locale['MOOD_020']."</div>";

        closeside();
	}
}

if (!function_exists('DisplayStat')) {
    function DisplayStat($info) {
        $locale = fusion_get_locale("", MOOD_LOCALE);
        opentable("<i class='fa fa-pie-chart fa-lg m-r-10'></i>".$locale['MOOD_021']);
        if (!empty($info['pagenav'])) {
            echo "<div class='spacer-sm'>";
                echo "<div class='pull-right'>".$info['pagenav']."</div>";
            echo "</div>";
        }

        if (!empty($info['statall'])) {
            echo "<div class='row'>";
                echo "<div class='table-responsive text-center'>";
                echo "<table class='table table-responsive table-striped table-hover'>";
                echo "<thead>";
                echo "<tr>";
                echo "<th></th>";
                echo "<th class='text-center'><small><strong>".$locale['MOOD_022']."</strong></small></th>";
                echo "<th class='text-center'><small><strong>".$locale['MOOD_023']."</strong></small></th>";
                echo "</tr>";
                echo "</thead>";
                foreach ($info['statall'] as $data) {
                	echo "<tr>";
                    echo "<td>".$data['user_id']."</td>";
                    echo "<td><div class='clearfix'>";
                        echo "<div class='pull-left m-r-10'>".display_avatar($data, '50px', '', TRUE, 'img-rounded')."</div>";
                        echo "<div class='overflow-hide'>
                            <span class='m-l-10 m-r-10'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</span>
                        </div>";
                    echo "</div></td>";
                    echo "<td>".(!empty($data['user_mood']) ? $locale['MOOD_ARR'][$data['user_mood']] : $locale['MOOD_024'])."</td>";
                    echo "</tr>";
                }
                echo "</table></div>";
            echo "</div>";
        }

        closetable();
	}
}
